import configparser
# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test
# FileName:      read_basic_ini.py
# Author:       zhang
# Datetime:     2024/11/5 下午6:53
# Description:
# 
# ---------------------------------------------------------------------------
import os
from APIAutoTest_v3_1 import loger
import configparser


class ReadBasicIni:
    def __init__(self):
        """读取ini文件"""
        self.data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), 'data_config')
        basic_ini_path = os.path.join(self.data_config_path, 'basic_config.ini')
        self.conf = configparser.ConfigParser()
        self.conf.read(basic_ini_path, encoding='utf-8')

    @loger
    def get_host(self, key):
        """根据key获取host节点下被测系统的域名"""
        try:
            return self.conf.get("host", key)
        except Exception as e:
            raise e

    @loger
    def get_connect_sql_msg(self, key):
        """根据key获取sql节点下数据库的链接信息"""
        try:
            return self.conf.get("mysql", key)
        except Exception as e:
            raise e


if __name__ == '__main__':
    read_basic_ini = ReadBasicIni()
