# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test
# FileName:      read_user_ini.py
# Author:       zhang
# Datetime:     2024/11/5 下午7:05
# Description:
# 
# ---------------------------------------------------------------------------
import os
from APIAutoTest_v3_1 import loger
import configparser


class ReadUserIni:
    def __init__(self, user):
        """读取ini文件, 需要指明读取哪个用户的ini配置文件"""
        self.data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), 'data_config')
        self.user_path = os.path.join(self.data_config_path, user)
        ini_path = os.path.join(self.user_path, "config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(ini_path, encoding='utf-8')

    @loger
    def get_file_path(self, key):
        """根据key获取file节点下文件的路径"""
        try:
            file_name = self.conf.get('file', key)
        except Exception as e:
            raise e
        else:
            return os.path.join(self.user_path, file_name)

    @loger
    def get_table_name(self, key):
        """根据key获取table节点下工作表的名称"""
        try:
            return self.conf.get('table', key)
        except Exception as e:
            raise e


if __name__ == '__main__':
    readuserini = ReadUserIni('z1_data')
    print(readuserini.get_file_path('case'))
