# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test
# FileName:      requests_method.py
# Author:       zhang
# Datetime:     2024/11/5 下午7:40
# Description:
# 
# ---------------------------------------------------------------------------
import requests
from APIAutoTest_v3_1.common.db import DB
from APIAutoTest_v3_1.common.read_basic_ini import ReadBasicIni
from APIAutoTest_v3_1 import log


class RequestsMethod:
    def __init__(self):
        # 创建session对象和配置登录的token
        self.session = requests.sessions.Session()
        login_data = {
            "username": "admin",
            "password": "VsQ2gtK1fYOiCv1QU5qfMAKFlVXz7UBerKlrtStkhxo3W"
                        "/T6NQCAmgklcIGUiwzcWi9gCRauKUn65wWlR7GZ39OXIuZ7uepazQ3MCTzwShuesIgM2ull8n9kMBYtiiio2"
                        "/WCpXfjDJfcl2r9L/z8TH35AFZGf1D/lgC5PWPnDTg="
        }
        login_url = ReadBasicIni().get_host("bpm") + "/auth"
        token = self.session.post(url=login_url, json=login_data).json()["token"]
        self.session.headers.update({"Authorization": f"Bearer {token}"})
        # 创建数据库对象
        self.db = DB()

    def request_all(self, method, url, mime=None, case_data=None, sql_type=None,sql_data=None,updata_key=None):
        # 先判断sql的类型，执行对应sql语句之后再发送请求
        if sql_type == "delete":
            self.db.delete(sql_data)
        elif sql_type == "select":
            select_res = self.db.select(sql_data)
            case_data[updata_key] = select_res
        # 如果为"select|delete"或者"delete|select"则需要同时查询或删除
        elif sql_type == "select|delete" or sql_type == "delete|select":
            self.db.delete(sql_data["delete"])
            select_res = self.db.select(sql_data["select"])
            case_data[updata_key] = select_res

        # 根据传入的媒体类型，发送请求
        # 除了json或上传文件或地址栏传参以外的任何方式传参全部使用data传参
        # request可以同时在地址栏和请求体传参，同时使用params，data/json传参即可
        if mime == "application/x-www-form-urlencoded" or mime == "x-www-form-urlencoded" or mime == "form":
            return self.session.request(method=method, url=url, data=case_data)
        elif mime == "application/json" or mime == "json":
            return self.session.request(method=method, url=url, json=case_data)
        elif mime == "multipart/form-data" or mime == "form-data":
            return self.session.request(method=method, url=url, files=case_data)
        elif mime == "query":
            return self.session.request(method=method, url=url, params=case_data)
        elif mime == "query|json" or mime == "json|query":
            return self.session.request(method=method, url=url, params=case_data["query"], json=case_data["body"])
        elif mime is None:
            return self.session.request(method=method, url=url)
        else:
            log().error(
                f"方法：request_all，传入的媒体类型为：{mime}, 没有符合的判断分支，可以自行封装，也可以继承之后覆盖")
            raise ValueError("传入的媒体类型的值错误，类中有表单、json、上传文件、query、None媒体类型，如需要可以复写该类")